<template>
    <q-item :disable="disable">
        <q-item-section>
            <q-item-label>{{ label }}</q-item-label>
            <q-item-label caption> {{ caption }}</q-item-label>

        </q-item-section>
        <q-item-section top side>
            <q-avatar :style="`color: ${value}`" icon="stop_circle" size="36px"
                      font-size="32px" class="shadow-3"
                      :disable="disable"
            >
                <q-popup-proxy transition-show="scale"
                               transition-hide="scale"
                               v-if="!disable">
                    <q-color :value="value" @input="$emit('input',$event)"/>
                </q-popup-proxy>
            </q-avatar>
        </q-item-section>
    </q-item>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';

@Component
export default class ColorSetting extends Vue {
    @Prop() label!: string
    @Prop() caption!: string;
    @Prop() value!: boolean;
    @Prop() disable!: boolean;
}
</script>

<style lang='scss' scoped>

</style>
